Event Intake
Preview an event website
Inspect an official event website and propose the event identity, date, location, format, participant terminology, and race options without changing Endurance HQ.
Method
POST
Path
/v1/event-intake/website-preview
Required scope
event-intake:readRequest
curl -X POST "https://api.endurancehq.app/v1/event-intake/website-preview" \
-H "Authorization: Bearer $EHQ_API_KEY"JSON body schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"url": {
"type": "string",
"maxLength": 2000,
"format": "uri",
"description": "Official event website URL to inspect."
}
},
"required": [
"url"
],
"additionalProperties": false
}Response
Success status: 200
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"data": {
"type": "object",
"properties": {
"sourceDomain": {
"type": "string"
},
"title": {
"type": [
"string",
"null"
]
},
"eventDate": {
"anyOf": [
{
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$"
},
{
"type": "null"
}
]
},
"location": {
"type": [
"string",
"null"
]
},
"distances": {
"type": "array",
"items": {
"type": "string"
}
},
"eventMode": {
"anyOf": [
{
"type": "string",
"enum": [
"race",
"conference",
"operations"
]
},
{
"type": "null"
}
]
},
"eventDiscipline": {
"anyOf": [
{
"type": "string",
"enum": [
"running",
"cycling",
"paddling",
"walking",
"multisport",
"other"
]
},
{
"type": "null"
}
]
},
"participantSupportMode": {
"anyOf": [
{
"type": "string",
"enum": [
"auto",
"crew",
"support",
"off"
]
},
{
"type": "null"
}
]
},
"classificationEvidence": {
"type": "array",
"items": {
"type": "string"
}
},
"summary": {
"type": "string"
},
"confidence": {
"type": "number",
"minimum": 0,
"maximum": 1
}
},
"required": [
"sourceDomain",
"title",
"eventDate",
"location",
"distances",
"eventMode",
"eventDiscipline",
"participantSupportMode",
"classificationEvidence",
"summary",
"confidence"
],
"additionalProperties": false
}
},
"required": [
"data"
],
"additionalProperties": false
}Other surfaces
CLI: ehq events preview-website --url <url>
MCP tool: ehq_event_website_preview